package sgc.portal.sample.component.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.sample.component.model.Sample;
import sgc.portal.sample.component.model.Spec;

@Mapper
public interface ComSampleMapper {

    List<Sample> select();

    List<Spec> selectBigSpec();

    List<Spec> selectMidSpec();

    List<Spec> selectSmlSpec();

    List<EasyHashMap<String,String>> selectAllCommCd();

}

